DROP TRANSFORM(7)

NAME
DROP_TRANSFORM - remove a transform

SYNOPSIS

DROP TRANSFORM [ IF EXISTS ] FOR type_name LANGUAGE lang_name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP TRANSFORM removes a previously defined transform.

To be able to drop a transform, you must own the type and the language. These are the same privileges that are required to create a transform.

PARAMETERS

IF EXISTS
    Do not throw an error if the transform does not exist. A notice is issued in this case.

type_name
    The name of the data type of the transform.

lang_name
    The name of the language of the transform.

CASCADE
    Automatically drop objects that depend on the transform, and in turn all objects that depend on those objects (see Section 5.13).

RESTRICT
    Refuse to drop the transform if any objects depend on it. This is the default.

EXAMPLES

To drop the transform for type hstore and language plpythonu:

    DROP TRANSFORM FOR hstore LANGUAGE plpythonu;

COMPATIBILITY

This form of DROP TRANSFORM is a PostgreSQL extension. See CREATE TRANSFORM (CREATE_TRANSFORM(7)) for details.

SEE ALSO
CREATE TRANSFORM (CREATE_TRANSFORM(7))